# Contributing to Biome Compass

Thank you for considering contributing to Biome Compass! We welcome contributions of all types, including code,
documentation, and feedback.

## How to Contribute

Here are some ways you can contribute to the project:

- Report bugs or suggest features by creating an issue in the [issues](https://github.com/rusthero/BiomeCompass/issues)
  section of the repository.
- Provide [translation files](https://github.com/rusthero/BiomeCompass/tree/main/src/main/resources/lang) with pull
  requests or from [Discord](https://discord.com/invite/5C6JgvmwUe).
- Contribute code by creating a pull request with your changes. Please make sure to follow the coding style guidelines.
- Improve the documentation by making updates to the readme or other relevant documentation files.

## Coding Style

We ask that all contributors follow the guidelines below when contributing code to the project:

- Use four spaces for indentation. Do not use tabs.
- Place an empty line after each method.
- Use descriptive, meaningful names for variables and methods.
- Use @Override when overriding a method.
- Use TODO comments to mark places in the code that need attention or further development.
- The maximum width of a line should be 120 characters. If a line of code exceeds this limit, it should be wrapped to
  the next line, with appropriate indentation.

Following these guidelines helps to ensure that the code is consistent, easy to read, and well-documented. Thank you for
following these guidelines when contributing to the project!

## License

By contributing to the project, you agree to license your contributions under the GNU General Public License v3.0.

## Thank You!

Thank you for considering contributing to Biome Compass. Your contributions are greatly appreciated!
